Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### mouseReleased()

Examples

    // Click within the image to change
    // the value of the rectangle

    int value = 0;

    void draw() {
      fill(value);
      rect(25, 25, 50, 50);
    }

    void mouseReleased() {
      if(value == 0) {
        value = 255;
      } else {
        value = 0;
      }
    }

Description | The mouseReleased() function is called every time a mouse button is released.

Syntax

    void mouseReleased() {
      statements
    }

Returns | None
Usage | Web & Application
Related | mouseX mouseY mousePressed mousePressed() mouseMoved() mouseDragged()

Updated on November 22, 2008 08:39:25pm PST